<?php
define('qcclr_pro_LICENSING_PLUGIN_SLUG', 'comment-tools-pro/qc-clr-main.php');
define('qcclr_pro_LICENSING_PLUGIN_NAME', 'comment-tools-pro');
define('qcclr_pro_LICENSING__DIR', plugin_dir_path(__DIR__));

define('qcclr_pro_LICENSING_REMOTE_PATH', 'https://www.ultrawebmedia.com/li/plugins/comment-tools-pro/update.php');
define('qcclr_pro_LICENSING_PRODUCT_DEV_URL', 'https://quantumcloud.com/products/');

//start new-update-for-codecanyon
define('qcclr_pro_ENVATO_PLUGIN_ID', 22883825);
//end new-update-for-codecanyon

function get_qcclr_pro_licensing_plugin_data(){
	include_once(ABSPATH.'wp-admin/includes/plugin.php');
	return get_plugin_data(qcclr_pro_LICENSING__DIR.'/qc-clr-main.php', false);
}

//License Options
function get_qcclr_pro_licensing_key(){
	return get_option('qcclr_pro_enter_license_key');
}

function get_qcclr_pro_envato_key(){
	return get_option('qcclr_pro_enter_envato_key');
}

function get_qcclr_pro_licensing_buy_from(){
	return get_option('qcclr_pro_buy_from_where');
}


//Update Transients
function get_qcclr_pro_update_transient(){
	return get_transient('qcld_update_qcclr_pro');
}

function set_qcclr_pro_update_transient($plugin_object){
	return set_transient( 'qcld_update_qcclr_pro', serialize($plugin_object), 1 * DAY_IN_SECONDS  );
}

function delete_qcclr_pro_update_transient(){
	return delete_transient( 'qcld_update_qcclr_pro' );
}


//Renewal Transients
function get_qcclr_pro_renew_transient(){
	return get_transient('qcld_renew_qcclr_pro_subscription');
}

function set_qcclr_pro_renew_transient($plugin_object){
	return set_transient( 'qcld_renew_qcclr_pro_subscription', serialize($plugin_object), 1 * DAY_IN_SECONDS  );
}

function delete_qcclr_pro_renew_transient(){
	return delete_transient( 'qcld_renew_qcclr_pro_subscription' );
}


//Invalid License Options
function get_qcclr_pro_invalid_license(){
	return get_option('qcclr_pro_invalid_license');
}

function set_qcclr_pro_invalid_license(){
	return update_option('qcclr_pro_invalid_license', 1);
}

function delete_qcclr_pro_invalid_license(){
	return delete_option('qcclr_pro_invalid_license');
}
function qcclr_pro_get_licensing_url(){
	return admin_url('admin.php?page=qcld-comment-help-license');
}

//Valid License
function get_qcclr_pro_valid_license(){
	return get_option('qcclr_pro_valid_license');
}
function set_qcclr_pro_valid_license(){
	return update_option('qcclr_pro_valid_license', 1);
}
function delete_qcclr_pro_valid_license(){
	return delete_option('qcclr_pro_valid_license');
}

//staging or live 
function get_qcclr_pro_site_type(){
	return get_option('qcclr_pro_site_type');
}



//start new-update-for-codecanyon
function get_qcclr_pro_license_purchase_code(){
	return get_option('qcclr_pro_enter_license_or_purchase_key');
}

function get_qcclr_pro_enter_license_notice_dismiss_transient(){
	return get_transient('get_qcclr_pro_enter_license_notice_dismiss_transient');
}

function set_qcclr_pro_enter_license_notice_dismiss_transient(){
	return set_transient('get_qcclr_pro_enter_license_notice_dismiss_transient', 1, DAY_IN_SECONDS);
}

function get_qcclr_pro_invalid_license_notice_dismiss_transient(){
	return get_transient('get_qcclr_pro_invalid_license_notice_dismiss_transient');
}

function set_qcclr_pro_invalid_license_notice_dismiss_transient(){
	return set_transient('get_qcclr_pro_invalid_license_notice_dismiss_transient', 1, DAY_IN_SECONDS);
}
//end new-update-for-codecanyon