<?php

defined('ABSPATH') or die("No direct script access!");

if(isset($_POST['send'])) {
  	$subject = esc_attr($_POST['email_subject']);
  	$message = esc_attr($_POST['email_body']);


  	if($commenter_mail != ''):
  		$commenter_emails   = implode(",", $commenter_mail);
  		//$commenter_emails   = antispambot($commenter_emails);
  		$site_name  		= get_bloginfo('name');
  		$admin_email 		= get_bloginfo('admin_email');
  		$headers 			= 'From: '. $site_name .' <'. $admin_email .'>'."\r\n";
        $headers            .= 'Content-Type: text/html; charset=UTF-8';

    	wp_mail( $commenter_emails, $subject, $message, $headers );
		$qc_clr_message = esc_html("Message Successfully Sent!", 'qc-clr');

	endif;

}

?>

	<div class="wrap-content">
		<form action="" method="post" name="qc_clr_send_mail">
		<div id="email-links" class="qc_clr_commenters_emails">
			<h2><?php _e( 'Send Email All Commenters', 'qc-clr' ); ?></h2>
			<p class="qc_clr_messages"><?php 
				if(isset($qc_clr_message)){
					echo $qc_clr_message;
				}
				?>
			</p>
			<table class="form-table">
				<tr>
					<th scope="row" valign="top">
						<label for="email_body"><?php esc_html_e('E-mail', 'qc-clr'); ?></label>
					</th>
					<td>
						<p><?php 

						if($commenter_mail != ''):
							$commenter_emailss= implode(", ", $commenter_mail);
					  		echo  $commenter_emailss;
						endif;

						?></p>
					</td>
				</tr>
				<tr>
					<th scope="row" valign="top">
						<label for="email_body"><?php esc_html_e('E-mail Subject','email-all-commenters'); ?></label>
					</th>
					<td>
						<input type="text" name="email_subject" id="email_subject" value=""/>
					</td>
				</tr>
				<tr>
					<th scope="row" valign="top">
						<label for="email_body"><?php esc_html_e( 'E-mail Body', 'qc-clr' ); ?></label>
					</th>
					<td>
						<textarea rows="4" cols="100" name="email_body" id="email_body" value=""></textarea>
					</td>
				</tr>
				
			</table>
		</div>
			<?php submit_button('Send', 'primary', 'send'); ?>
		</form>
	</div>