<?php

defined('ABSPATH') or die("No direct script access!");

function qc_clr_pro_load_front_scripts(){
    //Styles
    //wp_enqueue_style( 'qcld_clr_fontawesome_css', qcclr_pro_ASSETS_URL . '/css/font-awesome.min.css');
    wp_enqueue_style( 'qcld_clr_icons_css', qcclr_pro_ASSETS_URL . '/css/icons.min.css');
    //Scripts
	wp_enqueue_style( 'qc_clr_front_style_css', qcclr_pro_ASSETS_URL . "/css/qc-clr-style-font.css");
    wp_enqueue_script( 'jquery', 'jquery');
    wp_enqueue_script( 'qc_clr_vertical_scroll', qcclr_pro_ASSETS_URL . "/js/qc-clr-jquery.marquee.min.js", array('jquery'));

    wp_add_inline_script( 'qc_clr_vertical_scroll', 'var qcld_ajaxurl = "' . admin_url('admin-ajax.php') . '";var qcld_ajax_nonce = "'.wp_create_nonce( 'qcld-increase-sales' ).'";' );

}
add_action('wp_enqueue_scripts', 'qc_clr_pro_load_front_scripts');

function qc_clr_pro_load_admin_scripts(){
    //Styles
    wp_enqueue_style( 'qc_clr_admin_style_css', qcclr_pro_ASSETS_URL . "/css/qc-clr-style.css");

 	//Scripts
	wp_enqueue_script( 'jquery', 'jquery');
	wp_enqueue_script( 'qc_clr_admin_validate_js', qcclr_pro_ASSETS_URL . "/js/jquery.validate.min.js", array('jquery'));
	wp_enqueue_script( 'qc_clr_admin_custom_validate_js', qcclr_pro_ASSETS_URL . "/js/custom-validate.js", array('jquery'));
    
    
    wp_enqueue_script( 'qc_clrs_mailing_list_mailchimp_admin_script', qcclr_pro_URL.'/mailchimp/assets/js/admin.js', array('jquery') );
    wp_add_inline_script( 'qc_clrs_mailing_list_mailchimp_admin_script', 'var qcld_ajaxurl = "' . admin_url('admin-ajax.php') . '";var qcld_ajax_nonce = "'.wp_create_nonce( 'qc-clr' ).'";' );

    global $post;
    if( (isset($post->ID)) && (absint($post->ID) > 0) ){
        $postID = absint($post->ID);
    }else{
        $postID = '';
    }

    $ajax_nonce = wp_create_nonce( "qcld-mailing-list-mailchimp-ajax-nonce" );


    wp_localize_script( 'qc_clrs_mailing_list_mailchimp_admin_script', 'qcld_mailing_list_mailchimp_admin_ajax_object', array(
            'ajax_url' => admin_url( 'admin-ajax.php' ),
            'post_id' => $postID,
            'mailchimp_ajax_nonce'  => $ajax_nonce
        )
    );



}
add_action( 'admin_enqueue_scripts', 'qc_clr_pro_load_admin_scripts');