<?php
defined('ABSPATH') or die("No direct script access!");

if(isset($_POST['send'])) {
  	$subject = sanitize_text_field($_POST['email_subject']);
  	$message = sanitize_text_field($_POST['email_body']);

  	if($comment_author_email != ''):
  		$commenter_emails 	= ($comment_author_email);
  		$site_name  		= get_bloginfo('name');
  		$admin_email 		= get_bloginfo('admin_email');
  		$headers 			= 'From: '. $site_name .' <'. $admin_email .'>' . "\r\n";
  		$headers            .= 'Content-Type: text/html; charset=UTF-8';

    	wp_mail( $commenter_emails, $subject, $message, $headers );

    	$qc_clr_message = esc_html("Message Successfully Sent!");

	endif;

}

?>

	<div class="wrap">
		<form action="" method="post" name="qc_clr_send_mail">
			<div id="email-links" class="qc_clr_commenters_emails">
				<h2><?php esc_html_e( 'Reply User a Mail', 'qc-clr' ); ?></h2>
				<p class="qc_clr_messages">
					<?php 
					if(isset($qc_clr_message)){
						echo $qc_clr_message;
					}
					?>
				</p>

				<table class="form-table">
					<tr>
						<th scope="row" valign="top">
							<label for="email_body"><?php esc_html_e('Name','qc-clr'); ?></label>
						</th>
						<td>
							<p><?php 

							if($comment_author != ''):
						  		echo  $comment_author;
							endif;

							?></p>
						</td>
					</tr>
					<tr>
						<th scope="row" valign="top">
							<label for="email_body"><?php esc_html_e('E-mail','qc-clr'); ?></label>
						</th>
						<td>
							<p><?php 

							if($comment_author_email != ''):
						  		echo  $comment_author_email;
							endif;

							?></p>
						</td>
					</tr>
					<tr>
						<th scope="row" valign="top">
							<label for="email_body"><?php esc_html_e('E-mail Subject','qc-clr'); ?></label>
						</th>
						<td>
							<input type="text" name="email_subject" id="email_subject" value=""/>
						</td>
					</tr>
					<tr>
						<th scope="row" valign="top">
							<label for="email_body"><?php esc_html_e( 'E-mail Body', 'qc-clr' ); ?></label>
						</th>
						<td>
							<textarea rows="4" cols="100" name="email_body" id="email_body" value=""></textarea>
						</td>
					</tr>
					
				</table>
			</div>
			<?php submit_button('Send', 'primary', 'send'); ?>
		</form>
	</div>