<?php
defined('ABSPATH') or die("No direct script access!");
/**
 * 
 */


		function qcclr_pro_help_license_callback(){
?>
			<div id="wrap">
				<div id="licensing">
						<h1><?php  esc_html_e( 'Please Insert your license Key', 'qc-clr' ); ?></h1>
					<div class="qcld-qcclr_pro-section-block">
						<?php if( get_qcclr_pro_valid_license() ){ ?>
							<div class="qcld-success-notice">
								<p><?php  esc_html_e( 'Thank you, Your License is active', 'qc-clr' ); ?></p>
							</div>
						<?php } ?>

						<?php
						
							$track_domain_request = wp_remote_get(qcclr_pro_LICENSING_PRODUCT_DEV_URL."wp-json/qc-domain-tracker/v1/getdomain/?license_key=".get_qcclr_pro_licensing_key());
							if( !is_wp_error( $track_domain_request ) || wp_remote_retrieve_response_code( $track_domain_request ) === 200 ){
								$track_domain_result = json_decode($track_domain_request['body']);
								
								if( !empty($track_domain_result) ){
									$max_domain_num = $track_domain_result[0]->max_domain + 1;
									$total_domains = json_decode($track_domain_result[0]->domain, true);
									$total_domains_num = count($total_domains);

									if( $max_domain_num <= $total_domains_num){
								?>
										<div class="qcld-error-notice">
											<p> <?php  esc_html_e( 'You have activated this key for maximum number of sites allowed by your license. Please', 'qc-clr' ); ?> <a href='<?php echo esc_url('https://www.quantumcloud.com/products/'); ?>'> <?php  esc_html_e( 'purchase additional license.', 'qc-clr' ); ?></a></p>
										</div>
								<?php
									}
								}
								
							}
						?>
						
						<form onsubmit="return false" id="qc-license-form" method="post" action="options.php">
							<?php
								delete_qcclr_pro_update_transient();
								delete_qcclr_pro_renew_transient();
								
								delete_option('_site_transient_update_plugins');
								settings_fields( 'qcclr_pro_license' );
								do_settings_sections( 'qcclr_pro_license' );

								// if( isset($_POST['submit']) ){
								// 	echo 'qcclr_pro_buy_from_where '.$_POST['qcclr_pro_buy_from_where'];
								// }
							?>
							<table class="form-table">

								<tr id="quantumcloud_portfolio_license_row" style="display: none">
									<th>
										<label for="qcclr_pro_enter_license_key"><?php  esc_html_e( 'Enter License Key:', 'qc-clr' ); ?></label>
									</th>
									<td>
										<input type="<?php echo (get_qcclr_pro_licensing_key()!=''?'password':'text'); ?>" id="qcclr_pro_enter_license_key" name="qcclr_pro_enter_license_key" class="regular-text" value="<?php echo get_qcclr_pro_licensing_key(); ?>">
										<p><?php  esc_html_e( 'You can copy the license key from', 'qc-clr' ); ?> <a target="_blank" href='<?php echo esc_url('https://www.quantumcloud.com/products/account/'); ?>'> <?php  esc_html_e( 'your account', 'qc-clr' ); ?></a></p>
									</td>
								</tr>

								<tr id="show_envato_plugin_downloader" style="display: none">
									<th>
										<label for="qcclr_pro_enter_envato_key"><?php  esc_html_e( 'Enter Purchase Code:', 'qc-clr' ); ?></label>
									</th>
									<td colspan="4">
										<input type="<?php echo (get_qcclr_pro_envato_key()!=''?'password':'text'); ?>" id="qcclr_pro_enter_envato_key" name="qcclr_pro_enter_envato_key" class="regular-text" value="<?php echo get_qcclr_pro_envato_key(); ?>">
										<p> <?php  esc_html_e( 'You can install the', 'qc-clr' ); ?><a target="_blank" href="<?php echo esc_url('https://envato.com/market-plugin/'); ?>"> <?php  esc_html_e( 'Envato Plugin', 'qc-clr' ); ?></a> <?php  esc_html_e( 'to stay up to date.', 'qc-clr' ); ?></p>
									</td>
								</tr>

							<!-- //start new-update-for-codecanyon -->
			                    <tr>
			                        <th>
			                            <label for="qcclr_pro_enter_license_or_purchase_key"><?php  esc_html_e( 'Enter License Key or Purchase Code:', 'qc-clr' ); ?></label>
			                        </th>
			                        <td>
			                            <input type="<?php echo (get_qcclr_pro_license_purchase_code()!=''?'password':'text'); ?>" id="qcclr_pro_enter_license_or_purchase_key" name="qcclr_pro_enter_license_or_purchase_key" class="regular-text" value="<?php echo get_qcclr_pro_license_purchase_code(); ?>" required>
			                        </td>
			                    </tr>
			                <!-- //end new-update-for-codecanyon -->

							</table>

							<!-- //start new-update-for-codecanyon -->
			                <input type="hidden" name="qcclr_pro_buy_from_where" value="<?php echo get_qcclr_pro_licensing_buy_from(); ?>" >
			                <!-- //end new-update-for-codecanyon -->
							<?php submit_button(); ?>
						</form>
					</div>

					<script type="text/javascript">
				        jQuery(document).ready(function(){

				            //start new-update-for-codecanyon
				            jQuery('#qcclr_pro_enter_license_or_purchase_key').on('focusout', function(){
				            	qc_qcclr_pro_set_plugin_license_fields();
				            });

				            jQuery('#qcclr_pro_enter_license_or_purchase_key').on('keypress',function (e) {
				            	  qc_qcclr_pro_set_plugin_license_fields();
							});

							jQuery('#qc-license-form input[type="submit"]').on('click', function(){
								qc_qcclr_pro_set_plugin_license_fields();
								jQuery('#qc-license-form').removeAttr('onsubmit').submit();
							});

				            function qc_qcclr_pro_set_plugin_license_fields(){
				                var license_input = jQuery('#qcclr_pro_enter_license_or_purchase_key').val();
				                if( /^(\w{8})-((\w{4})-){3}(\w{12})$/.test(license_input) ){
				                    jQuery('input[name="qcclr_pro_buy_from_where"]').val('codecanyon');
				                    jQuery('input[name="qcclr_pro_enter_envato_key"]').val(license_input);
				                }else{
				                    jQuery('input[name="qcclr_pro_buy_from_where"]').val('quantumcloud');
				                    jQuery('input[name="qcclr_pro_enter_license_key"]').val(license_input);
				                }
				            }
				            //end new-update-for-codecanyon

				        });
				    </script>
				</div>
			</div>
<?php
		}
	
