jQuery(function ($) {
    //Global object passed by admin
    var clrObj = clr_obj;
    var isStayen='no';
	var firstStampInMs =Date.now();
    $(document).ready(function () {
        
        if($('.comment-form').length>0){
            $(this).find(':submit').append('<input type="hidden" id="qcld_clr_delay" name="qcld_clr_delay" value="'+isStayen+'">');
        }

        $(document).on('submit','.comment-form',function (event) {
            //event.preventDefault();
           var submitStampInMs =Date.now();
            var standVal=parseInt(1000*clrObj.minimum_time);
            var differencTime= parseInt(submitStampInMs - firstStampInMs);
            if(differencTime > standVal ){
                isStayen='yes';
            }else {
                isStayen='no';
            }
            $('#qcld_clr_delay').val(isStayen);

        });

        //Comments Collapser.
        if(clrObj.read_more == 1 ){
	        $('.comment-content>p').collapser({
	                mode: 'words',
	                truncate: clrObj.length_more
	            });
        }

	});
	
	$('#qc_clr_comment_filter').on('change', function(e){
		
		e.preventDefault();
		$(this).closest("form").submit();
		
	})
	
	//$('.clr_like').on('click', function(e){
	$(document).on('click','.clr_like',function (e) {
		e.preventDefault();
		var obj = $(this);
		var likeID = obj.parent().parent().find('.clr_comment_like').attr('id');
		var dislikeID = obj.parent().parent().find('.clr_comment_dislike').attr('id');
		
		
		
		var comment_id = $(this).data('comment-id');
		
		$.post(clr_obj.ajax, {
            action: 'qc_clr_like_dislike', 
            comment_id: comment_id,
			context: 'like'

        }, function(data) {
			var json = $.parseJSON(data);
			
			if(json.status=='success'){
				$('#'+likeID+' > .clr_like_count').html(json.like);
				$('#'+dislikeID+' > .clr_dislike_count').html(json.dislike);
			}
		})
		
	})
	//$('.clr_dislike').on('click', function(e){
	$(document).on('click','.clr_dislike',function (e) {
		e.preventDefault();
		var obj = $(this);
		var likeID = obj.parent().parent().find('.clr_comment_like').attr('id');
		var dislikeID = obj.parent().parent().find('.clr_comment_dislike').attr('id');
		var comment_id = $(this).data('comment-id');
		
		$.post(clr_obj.ajax, {
            action: 'qc_clr_like_dislike', 
            comment_id: comment_id,
			context: 'dislike'

        }, function(data) {
			var json = $.parseJSON(data);
			
			if(json.status=='success'){
				$('#'+likeID+' > .clr_like_count').html(json.like);
				$('#'+dislikeID+' > .clr_dislike_count').html(json.dislike);
			}
		})
		
	});
	
	/*
	*	Comment content validation by sentiment.
	*/
	var sentimentValidation = false;
	//$('#commentform').on('submit', function(e){
    $(document).on('submit','#commentform',function (e) {

		if(sentimentValidation){
			return true;
		}

		e.preventDefault();
		
		if($('#qcld_clr_delay').val()=='no'){
			
			var submitStampInMs =Date.now();
            var standVal=parseInt(1000*clrObj.minimum_time);
            var differencTime= parseInt(submitStampInMs - firstStampInMs);
            if(differencTime < standVal ){
                $( '#commentform' ).prepend('<p class="qc_clr_error">'+clr_obj.quick_mgs+'</p>');
				return false;
            }

		}
		
		
		var content = $('#comment').val();
		
		if(content!=''){
			
			e.preventDefault();
			$.post(clr_obj.ajax, {
				action: 'qc_clr_sentiment_validation', 
				content: content,
				
			}, function(data) {
				var json = $.parseJSON(data);
				//console.log(json);
				$( '#commentform .qc_clr_error' ).remove();
				
				if(typeof(json.minlengthmsg)!=='undefined'){
					
					$( '#commentform' ).prepend('<p class="qc_clr_error">'+json.minlengthmsg+'</p>');
					return false;
				}else if(typeof(json.maxlengthmsg)!=='undefined'){
					
					$( '#commentform' ).prepend('<p class="qc_clr_error">'+json.maxlengthmsg+'</p>');
					return false;
				}else if(typeof(json.score)!=='undefined' && json.score >= clr_obj.threshold_score){
					
					$( '#commentform' ).prepend('<p class="qc_clr_error">'+clr_obj.threshold_msg+'</p>');
					$('html,body').animate({
						scrollTop: $(".qc_clr_error").offset().top
					}, 'slow');
					return false;
				}else{
					
					sentimentValidation = true;
					$('#submit').click();
				}
				
				
				return false;
				
				
			})
			
		}
		return false;
	})
	
	
	//$('.qc_clr__dropOut ul li').on('click', function(e){
	$(document).on('click','.qc_clr__dropOut ul li',function (e) {
		e.preventDefault();
		var obj = $(this);
		value = obj.attr('data-sent');
		//console.log(value);
		$('#qc_clr_comment_filter[name="clr_comment_filter"]').find('option[value="'+value+'"]').attr("selected",true).change();
		$('.clr-comment-wrapper-wrap').show().change();

	})
	//$('.qc_clr__drop a').on('click', function(e){
	$(document).on('click','.qc_clr__drop a',function (e) {
		e.preventDefault();
	})

	$('#attachment').change(function () {
		var i = $(this).prev('label').clone();
		var file = $('#attachment')[0].files[0].name;
		$(this).prev('label').text(file);
	}); 


	$(document).on('click','.qcld_clr_delete_comments',function (e) {
		e.preventDefault();
		var obj = $(this);
		var comment_id = obj.data('comment-id');

		var comment_wrap = obj.closest('li.comment' );

		var answer = confirm('Are you sure?');
    	
		if(!answer){
			return false;
		}

		$.post(clr_obj.ajax, {
            action: 'qcld_clr_delete_comments_by_id',
            comment_id: comment_id,
            security: clr_obj.qc_clr_ajax_nonce

        }, function(data) {
			var json = $.parseJSON(data);
			if(json.status=='success'){
				comment_wrap.remove();
				//alert(json.message);
			}

		})
		
	});


	$(document).on('click','.qcld_clr_spam_comments',function (e) {
		e.preventDefault();
		var obj = $(this);
		var comment_id = obj.data('comment-id');

		var comment_wrap = obj.closest('li.comment' );

		var answer = confirm('Are you sure?');
    	
		if(!answer){
			return false;
		}

		$.post(clr_obj.ajax, {
            action: 'qcld_clr_spam_comments_by_id',
            comment_id: comment_id,
            security: clr_obj.qc_clr_ajax_nonce

        }, function(data) {
			var json = $.parseJSON(data);
			if(json.status=='success'){
				comment_wrap.remove();
				//alert(json.message);
			}

		});
		
	});


	
	/* like dislike filter */
	
	$('#clr_comment_like_dislike_filter').on('change', function(e){
		
		e.preventDefault();
		$(this).closest("form").submit();
		
	});

	$(document).on('click','.qc_clr_comment_dropOut ul li',function (e) {
		e.preventDefault();
		var obj = $(this);
		var value = obj.attr('data-sent');
		$('#clr_comment_like_dislike_filter[name="clr_comment_like_dislike_filter"]').find('option[value="'+value+'"]').attr("selected",true).change();
		$('.clr-comment-wrapper-wrap').show().change();

	});

	$(document).on('click','.qc_clr_comment_drop a',function (e) {
		e.preventDefault();
	});

	$(document).on('click','.qc_clr_pin_comment',function (e) {
		//e.preventDefault();
		var currentDom = $(this);
		var wrap = currentDom.closest('.clr_pin_comment_wraper');
		var comment_id = wrap.find('.qc_clr_pin_comment').val();
		//console.log( comment_id );
		$('.qc_clr_pin_comment_btn').hide();
		wrap.find('.qc_clr_pin_comment_btn').show();


	});
	

	$(document).on('click','.qc_clr_pin_comment_btn',function (e) {
		e.preventDefault();
		var currentDom = $(this);
		var wrap = currentDom.closest('.clr_pin_comment_wraper');
		var comment_id = wrap.find('.qc_clr_pin_comment').val();
		var post_id = currentDom.data('post-id');
		//console.log( post_id );

		currentDom.attr('disabled','disabled');
        if(!currentDom.find('spinner').length){
            currentDom.append('<span class="spinner"></span>');
        }
        currentDom.find('.spinner').css('visibility','unset');

		$.post(clr_obj.ajax, {
            action: 'qc_clr_pin_comment', 
            comment_id: comment_id,
			post_id: post_id

        }, function(data) {
			var json = $.parseJSON(data);



            currentDom.find('.spinner').remove();
            currentDom.removeAttr('disabled');
			
			if(json.status=='success'){
				alert(json.msg);

				window.location.reload(true);
			}
		})


	});
	

	$(document).on('click','.qc_clr_mention_comment_btn',function (e) {
		e.preventDefault();
		var currentDom 		= $(this);
		//var wrap = currentDom.closest('.comment-form-textarea');
		var wrap 			= currentDom.closest('.comment');

		var comment_text 	= wrap.find('p:first').text().replace(' Hide', '').replace('... Show more', ' ');
		var post_id 		= currentDom.data('post-id');
		var current_text 	= $('#comment').val();

        var clr_scroll_each_wrap = $('.comment-form-textarea [name="comment"]');

        if(clr_scroll_each_wrap.length > 0)
        	$('html,body').animate( { scrollTop: $(clr_scroll_each_wrap).offset().top}, 300 );

        var clr_scroll_each_wraps = $('.comment-form-comment [name="comment"]');

        if(clr_scroll_each_wraps.length > 0)
        	$('html,body').animate( { scrollTop: $(clr_scroll_each_wraps).offset().top}, 300 );

        $('.comment-form-textarea [name="comment"]').val( current_text + ' #' + comment_text  + '# ' );
        $('.comment-form-comment [name="comment"]').val( current_text + ' #' + comment_text  + '# ' );


	});

	if(clr_obj.collapse_replies == 1){

		$('li.comment.depth-1').each(function(e) {
			var currentDom = $(this);
			var commentWrap  = currentDom.find('ol.children');
			var commentCount  = commentWrap.length;
			currentDom.find('ol.children').hide();

			var couuntNumber = (commentCount == 1 ) ? clr_obj.lang_comment : clr_obj.lang_comments; 

			if(commentCount > 0)
				currentDom.append('<p class="commentShow"> <i class="fa fa-reply-all" aria-hidden="true"></i> '+commentCount+' '+ couuntNumber +'</p>');

		});

	}


	$(document).on('click','.commentShow',function (e) {
		e.preventDefault();
		var currentDom 		= $(this);
		var wrap 			= currentDom.closest('.comment');
		wrap.find('ol.children').show('slow');

		wrap.append('<p class="commenthide"> <i class="fa fa-reply-all" aria-hidden="true"></i> '+ clr_obj.lang_back +' </p>');

		$(this).remove();

	});


	$(document).on('click','.commenthide',function (e) {
		e.preventDefault();
		var currentDom 		= $(this);
		var wrap 			= currentDom.closest('.comment');
		var commentWrap  	= wrap.find('ol.children');
		var commentCount  	= commentWrap.length;
		wrap.find('ol.children').hide('slow');

		var couuntNumber = (commentCount == 1 ) ? clr_obj.lang_comment : clr_obj.lang_comments;

		if(commentCount > 0)
			wrap.append('<p class="commentShow"> <i class="fa fa-reply-all" aria-hidden="true"></i> '+commentCount+' '+ couuntNumber +'</p>');

		$(this).remove();

	});


	
});