<?php
/**
 * Helpers functions
 *
 * @package Comment_Attachment
 * @author Denis Yanchevskiy
 * @copyright 2019
 * @license GPLv2+
 *
 * @since 1.1.1
 */

if ( ! function_exists( 'qcclr_pro_comment_init' ) ) {
	/**
	 * Gets the current instance of the specified class.
	 *
	 * @since 1.1.1
	 *
	 * @param string $suffix The suffix of the class name.
	 * @return object|bool The instance of the specified class or false if it is not exists.
	 */
	function qcclr_pro_comment_init( $suffix = '' ) {
		$name = 'qcclr_pro_comment_init' . $suffix;

		return isset( $GLOBALS[ $name ] ) ? $GLOBALS[ $name ] : false;
	}
}
