<?php

class Qcld_clr_pro_wpvoicemessage_clr{

    public function __construct(){

        add_action( 'init', [$this, 'qcwpvoicemessage_clr_add_form_tag_voicemessage'] );

        add_action('wp_enqueue_scripts', [$this, 'enqueue_scripts']);

        // Tag Generator Button

 
       // add_filter( 'wpcf7_posted_data', [$this, 'wpcf7_before_send_mail_function'], 10, 1 );
      //  add_filter('get_edit_post_link' , [$this, 'wpvo_edit_url'], 10, 1 );

    }

   
    function wpcf7_before_send_mail_function( $posted_data ) {
        global $post;
        // $submission = WPCF7_Submission::get_instance();
        // $posted_data = $submission->get_posted_data();
        $html = '';
                
        foreach ($posted_data as $post_key => $data) {

            if( $post_key == 'qcwpvoicemessage_clr' ){
                $voice_data = json_decode($data, true);
                $record_id = $voice_data['record_id'][0];
               
                $post_link = admin_url(). 'post.php?post='.$record_id.'&action=edit'; 
               

            	if( isset($voice_data['record_id']) && !empty($voice_data['record_id']) ){
                    $records = $voice_data['record_id'];
                    $count=0;
                    foreach( $records as $record ){
                        $count++;
                        if( $count > 1 ){ $html .= ' \r\n'; }
                        $audio_path = get_post_meta($record, 'qcld_wpvm_vmwpmdp_voicemssg_audio', true);
                        if( $audio_path ){
                            $audio_url = $this->abs_path_to_url( $audio_path );
                            $html .= "Voice Message Link" . "\n";
                            $html .= $audio_url . "\n \n";
                            $html .= "Edit or View Voice message". "\n";
                            $html .=  $post_link;
                        }
                    }
                    // echo $html;
                }
            }
        }
        $posted_data['qcwpvoicemessage_clr'] = $html;
        
        return $posted_data;
    }

    public function abs_path_to_url( $path = '' ) {

        $url = str_replace(
            wp_normalize_path( untrailingslashit( ABSPATH ) ),
            site_url(),
            wp_normalize_path( $path )
        );
       
        return esc_url_raw( $url );
    }



    public function enqueue_scripts(){

        wp_enqueue_script('clrwpvoicemessage_clr', plugin_dir_url(__FILE__) . 'js/cf7.js', array('jquery'), false,  true);

    }



    public function qcwpvoicemessage_clr_add_form_tag_voicemessage() {

      add_shortcode( 'clrwpvoicemessage_clr', [$this,'qcwpvoicemessage_clr_form_tag_handler'] ); // "clock" is the type of the form-tag

    }

    

    public function qcwpvoicemessage_clr_form_tag_handler( $tag ) {

        //$tag = new WPCF7_FormTag($tag);

       /* $form_id = wp_insert_post( [
            'post_type'     => 'voicemssg_form_clr',
            'post_title'    => 'Default Form',
            'post_status'   => 'publish',
        ] );

        $name = '';
       
        if ( ! $form_id ) { return false; }

        if( isset($form_id) && $form_id > 0 ){*/


            return do_shortcode('[qcclrwpvoicemessage_clr]');

     /*   }else{

            return false;

        }*/

    }



}



new Qcld_clr_pro_wpvoicemessage_clr();



 

 



