<?php 

defined('ABSPATH') or die("No direct script access!");
// add shortcode


function qc_clr_custom_comments($attr) {
    $content = "";
    // set comments settings          
   
        global $wpdb;

        $exclude_post = '';
        if ($exclude_post == NULL) {
            $exclude_post = 0;
        }
        $order = 'DESC';

        $getIncludePostId = $wpdb->get_results(
                "SELECT * 
	            FROM $wpdb->comments as c
	            INNER JOIN  $wpdb->posts as p 
	                ON c.comment_post_ID = p.ID
	            WHERE  p.ID NOT IN($exclude_post) AND c.comment_approved = 1 
	            ORDER BY c.comment_date $order 
	            "
        );


        $comments = $getIncludePostId;
    

    $content .= '<div class="show-all-comments">';
   
    if ($comments != null) {

        $parent_comment_count = 0;
        foreach ($comments as $parent_comment) {

            if ($parent_comment->comment_parent == 0) {

                $parent_comment_count ++;
            }
            
        }

        $query_arg = array(
            'cpage' => '%#%',
        );

        if (isset($_REQUEST['sac_post_types']) && $_REQUEST['sac_post_types'] != null) {

            $query_arg['sac_post_types'] = $_REQUEST['sac_post_types'];
        }

        if (isset($_REQUEST['sac_category']) && $_REQUEST['sac_category'] != null) {

            $query_arg['sac_category'] = $_REQUEST['sac_category'];
        }

        if (isset($_REQUEST['sac_posts']) && $_REQUEST['sac_posts'] != null) {

            $query_arg['sac_posts'] = $_REQUEST['sac_posts'];
        }


        ob_start();
        $content .= "<ul class=custom-comments>";
        wp_list_comments(array(
            'walker'            => null,
            'max_depth'         => '',
            'style'             => 'ul',
            //'callback' => 'custom_comments_template',
            'end-callback'      => '',
            'type'              => 'all',
            'reply_text'        => 'Reply',
            'avatar_size'       => 32,
            'reverse_top_level' => null,
            'reverse_children'  => '',
            'format'            => 'HTML5',
            'short_ping'        => false
                ), $comments);
        $content .= ob_get_clean();
        $content .= "</ul>";

        $content .= "<div class=custom-navigation>";
        ob_start();
        paginate_comments_links(array(
            'base' => add_query_arg($query_arg),
            'total' => ceil($parent_comment_count / get_query_var('comments_per_page')),
            'current' => $page
        ));
        echo "</div>";
        $content .= ob_get_clean();
    } else {

        $content .= '<div class="not-found">' . esc_html('Comments not found.', 'qc-clr') . '</div>';
    }

    wp_enqueue_style('sac-style');
    wp_enqueue_script('sac-script');
    $content .= '</div>';

    return $content;
}